Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# ACE_Registry::Binding_Iterator::Object_Iteration Class Reference

Inheritance diagram for ACE_Registry::Binding_Iterator::Object_Iteration:

[legend]
Collaboration diagram for ACE_Registry::Binding_Iterator::Object_Iteration:

[legend]
List of all members.

## Public Member Functions
| Object_Iteration (Binding_Iterator &iterator)
int | next_n (u_long how_many, Binding_List &list)
| Next <how_many> entries.

## Constructor & Destructor Documentation

ACE_Registry::Binding_Iterator::Object_Iteration::Object_Iteration | ( | Binding_Iterator & | iterator | ) |

## Member Function Documentation

int ACE_Registry::Binding_Iterator::Object_Iteration::next_n | ( | u_long | how_many,
|  | Binding_List & | list
| ) | `[virtual]`

| Next <how_many> entries. Implements ACE_Registry::Binding_Iterator::Iteration_State.

The documentation for this class was generated from the following files:

- Registry.h
- Registry.cpp